#include <qfile.h>
#include <qtextstream.h>

#include "cryptdevice.h"

int main()
{
    /*
        write data
    */
    {
        QFile file("output.dat");
        CryptDevice deviceFilter(&file);
        deviceFilter.open(IO_WriteOnly);
        QTextStream stream(&deviceFilter);
        stream << "Hello_World ";
    }

    /*
        read data
    */
    {
        QFile file("output.dat");
        CryptDevice deviceFilter(&file);
        deviceFilter.open(IO_ReadOnly);
        QTextStream stream(&deviceFilter);
        QString str; 
        stream >> str;
        qDebug(str.latin1());
    }

/*
    {
        QFile file("output.dat");
        CryptDevice deviceFilter(&file);
        deviceFilter.open(IO_ReadOnly);

        char in='a';
        deviceFilter.ungetch(in);
        char out[2];
        out[1]=0;
        out[0] = deviceFilter.getch();
        printf("%s\n",out);
        deviceFilter.ungetch(in);
        deviceFilter.readBlock(out, 1);
        printf("%s\n",out);
        
        
    }
*/    
    return 0;
}
